Skip to main content
GET
/
v1
/
knowledge-bases
/
{kb_id}
/
jobs
List jobs
curl --request GET \
  --url https://api.oneinbox.ai/v1/knowledge-bases/{kb_id}/jobs \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "kbj_abc123",
    "knowledge_base_id": "kb_abc123",
    "knowledge_base_source_id": "kbs_abc123",
    "type": "ingest_source",
    "status": "completed",
    "payload": {
      "chunks": 123,
      "tokens": 123,
      "vector_indexed": true
    },
    "error_message": "<string>",
    "started_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.oneinbox.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use api_key from POST /v1/api-keys

Path Parameters

kb_id
string
required

Response

200 - application/json

OK

id
string
Example:

"kbj_abc123"

knowledge_base_id
string
Example:

"kb_abc123"

knowledge_base_source_id
string
Example:

"kbs_abc123"

type
string
Example:

"ingest_source"

status
enum<string>

Processing status. Wait for completed before using the KB in calls.

Available options:
queued,
running,
completed,
failed
Example:

"completed"

payload
object

Populated on completion — contains token and chunk counts

error_message
string | null

Error message if status is failed. Null otherwise.

started_at
string<date-time> | null
completed_at
string<date-time> | null
created_at
string<date-time>